# Uses of Interface
org.jmol.api.AtomIndexIterator

Packages that use AtomIndexIterator
Package
Description
org.jmol.api
org.jmol.atomdata
org.jmol.modelset
org.jmol.symmetry
org.jmol.viewer

## Uses of AtomIndexIterator in org.jmol.api

Methods in org.jmol.api that return AtomIndexIterator
Modifier and Type
Method
Description
`AtomIndexIterator`
SymmetryInterface.`getIterator(Viewer vwr, Atom atom, BS bstoms, float radius)`

## Uses of AtomIndexIterator in org.jmol.atomdata

Methods in org.jmol.atomdata that return AtomIndexIterator
Modifier and Type
Method
Description
`AtomIndexIterator`
AtomDataServer.`getSelectedAtomIterator(BS bsSelected, boolean isGreaterOnly, boolean modelZeroBased, boolean isMultiModel)`
Methods in org.jmol.atomdata with parameters of type AtomIndexIterator
Modifier and Type
Method
Description
`void`
AtomDataServer.`setIteratorForAtom(AtomIndexIterator iterator, int atomIndex, float distance)`
`void`
AtomDataServer.`setIteratorForPoint(AtomIndexIterator iter, int modelIndex, T3 pt, float maxDistance)`

## Uses of AtomIndexIterator in org.jmol.modelset

Classes in org.jmol.modelset that implement AtomIndexIterator
Modifier and Type
Class
Description
`class`
`AtomIteratorWithinModel`
`class`
`AtomIteratorWithinModelSet`
Methods in org.jmol.modelset that return AtomIndexIterator
Modifier and Type
Method
Description
`AtomIndexIterator`
ModelSet.`getSelectedAtomIterator(BS bsSelected, boolean isGreaterOnly, boolean modelZeroBased, boolean hemisphereOnly, boolean isMultiModel)`
Methods in org.jmol.modelset with parameters of type AtomIndexIterator
Modifier and Type
Method
Description
`void`
ModelSet.`setIteratorForAtom(AtomIndexIterator iterator, int modelIndex, int atomIndex, float distance, RadiusData rd)`
`void`
ModelSet.`setIteratorForPoint(AtomIndexIterator iterator, int modelIndex, T3 pt, float distance)`

## Uses of AtomIndexIterator in org.jmol.symmetry

Classes in org.jmol.symmetry that implement AtomIndexIterator
Modifier and Type
Class
Description
`class`
`UnitCellIterator`
Methods in org.jmol.symmetry that return AtomIndexIterator
Modifier and Type
Method
Description
`AtomIndexIterator`
Symmetry.`getIterator(Viewer vwr, Atom atom, BS bsAtoms, float radius)`

## Uses of AtomIndexIterator in org.jmol.viewer

Methods in org.jmol.viewer that return AtomIndexIterator
Modifier and Type
Method
Description
`AtomIndexIterator`
Viewer.`getSelectedAtomIterator(BS bsSelected, boolean isGreaterOnly, boolean modelZeroBased, boolean isMultiModel)`
Methods in org.jmol.viewer with parameters of type AtomIndexIterator
Modifier and Type
Method
Description
`void`
Viewer.`setIteratorForAtom(AtomIndexIterator iterator, int atomIndex, float distance)`
`void`
Viewer.`setIteratorForPoint(AtomIndexIterator iterator, int modelIndex, T3 pt, float distance)`